Loading...
Searching...
No Matches
WDataSet Class Reference
Inheritance diagram for WDataSet:
[legend]
Collaboration diagram for WDataSet:
[legend]

## Public Member Functions

void | load_description (const EST_String &descfname, LISP ignores)
void | ignore_non_numbers ()
int | ftype (const int &i) const
int | ignore (int i) const
void | set_ignore (int i, int value)
const EST_String & | feat_name (const int &i) const
int | samples (void) const
int | width (void) const
Public Member Functions inherited from EST_TList< WVector * >
void | init ()
| EST_TList ()
| default constructor
| EST_TList (const EST_TList< WVector * > &l)
| copy constructor
WVector *& | item (const EST_Litem *p)
const WVector *& | item (const EST_Litem *p) const
WVector *& | nth (int n)
| return the Nth value
const WVector *& | nth (int n) const
| return a const Nth value
const WVector *& | first () const
| return const reference to first item in list
const WVector *& | last () const
| return const reference to last item in list
WVector *& | first ()
WVector *& | last ()
| return reference to last item in list
const WVector *& | operator() (const EST_Litem *ptr) const
| return const reference to item in list pointed to by {\tt ptr}
WVector *& | operator() (const EST_Litem *ptr)
| return non-const reference to item in list pointed to by {\tt ptr}
EST_Litem * | remove (EST_Litem *ptr)
EST_Litem * | remove_nth (int n)
| remove nth item, return pointer to previous item
void | append (const WVector *&item)
| add item onto end of list
void | prepend (const WVector *&item)
| add item onto start of list
EST_Litem * | insert_after (EST_Litem *ptr, const WVector *&item)
EST_Litem * | insert_before (EST_Litem *ptr, const WVector *&item)
EST_TList< WVector * > & | operator= (const EST_TList< WVector * > &a)
| make full copy of list
EST_TList< WVector * > & | operator+= (const EST_TList< WVector * > &a)
| Add list onto end of existing list.
void | clear (void)
| remove all items in list
void | exchange (EST_Litem *a, EST_Litem *b)
| exchange 1
void | exchange (int i, int j)
| exchange 2
Public Member Functions inherited from EST_UList
EST_UItem * | nth_pointer (int n) const
EST_UItem * | insert_after (EST_UItem *ptr, EST_UItem *new_item)
EST_UItem * | insert_before (EST_UItem *ptr, EST_UItem *new_item)
EST_UItem * | remove (EST_UItem *ptr, void(*item_free)(EST_UItem *item))
EST_UItem * | remove (int n, void(*item_free)(EST_UItem *item))
void | exchange (EST_UItem *a, EST_UItem *b)
void | exchange (int i, int j)
void | reverse ()
int | length () const
int | index (EST_UItem *item) const
int | empty () const
void | clear (void)
void | append (EST_UItem *item)
void | prepend (EST_UItem *item)
EST_UItem * | head () const
EST_UItem * | tail () const

## Additional Inherited Members

typedef WVector * | Entry
typedef EST_TIterator< EST_TList< WVector * >, IPointer, WVector * > | Entries
typedef EST_TRwIterator< EST_TList< WVector * >, IPointer, WVector * > | RwEntries
Static Public Member Functions inherited from EST_TList< WVector * >
static void | free_item (EST_UItem *item)
static void | exchange_contents (EST_Litem *a, EST_Litem *b)
| exchange 3
Static Public Member Functions inherited from EST_UList
static bool | operator_eq (const EST_UList &a, const EST_UList &b, bool(*eq)(const EST_UItem *item1, const EST_UItem *item2))
static int | index (const EST_UList &l, const EST_UItem &b, bool(*eq)(const EST_UItem *item1, const EST_UItem *item2))
static void | sort (EST_UList &a, bool(*gt)(const EST_UItem *item1, const EST_UItem *item2))
static void | qsort (EST_UList &a, bool(*gt)(const EST_UItem *item1, const EST_UItem *item2), void(*exchange)(EST_UItem *item1, EST_UItem *item2))
static void | sort_unique (EST_UList &l, bool(*eq)(const EST_UItem *item1, const EST_UItem *item2), bool(*gt)(const EST_UItem *item1, const EST_UItem *item2), void(*item_free)(EST_UItem *item))
static void | merge_sort_unique (EST_UList &l, EST_UList &m, bool(*eq)(const EST_UItem *item1, const EST_UItem *item2), bool(*gt)(const EST_UItem *item1, const EST_UItem *item2), void(*item_free)(EST_UItem *item))
void | point_to_first (IPointer &ip) const
void | move_pointer_forwards (IPointer &ip) const
bool | points_to_something (const IPointer &ip) const
WVector *& | points_at (const IPointer &ip)
Protected Member Functions inherited from EST_UList
void | init ()
void | clear_and_free (void(*item_free)(EST_UItem *item))
Protected Attributes inherited from EST_UList
EST_UItem * | h
EST_UItem * | t

## Detailed Description

Definition at line 86 of file EST_Wagon.h.

## Member Function Documentation

## load_description()

void WDataSet::load_description | ( | const EST_String & | descfname,
|  | LISP | ignores )

Definition at line 179 of file wagon_aux.cc.

## ignore_non_numbers()

void WDataSet::ignore_non_numbers | ( |  | ) |

Definition at line 160 of file wagon_aux.cc.

## ftype()

int WDataSet::ftype | ( | const int & | i | ) | const

inline

Definition at line 96 of file EST_Wagon.h.

## ignore()

int WDataSet::ignore | ( | int | i | ) | const

inline

Definition at line 97 of file EST_Wagon.h.

## set_ignore()

void WDataSet::set_ignore | ( | int | i,
|  | int | value )

inline

Definition at line 98 of file EST_Wagon.h.

## feat_name()

const EST_String & WDataSet::feat_name | ( | const int & | i | ) | const

inline

Definition at line 99 of file EST_Wagon.h.

## samples()

int WDataSet::samples | ( | void |  | ) | const

inline

Definition at line 100 of file EST_Wagon.h.

## width()

int WDataSet::width | ( | void |  | ) | const

inline

Definition at line 101 of file EST_Wagon.h.

The documentation for this class was generated from the following files:

- include/EST_Wagon.h
- stats/wagon/wagon_aux.cc